Debian Bug report logs - #407689
tasksel: Please consider adding a Development task for Etch

version graph

Package: tasksel; Maintainer for tasksel is Debian Install System Team <debian-boot@lists.debian.org>; Source for tasksel is src:tasksel.

Reported by: Frans Pop <elendil@planet.nl>

Date: Sat, 20 Jan 2007 15:03:02 UTC

Severity: wishlist

Merged with 266702, 525418

Found in versions 2.10, tasksel/2.66

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#407689; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: BTS submit <submit@bugs.debian.org>
Subject: tasksel: Please consider adding a Development task for Etch
Date: Sat, 20 Jan 2007 14:47:41 +0100
[Message part 1 (text/plain, inline)]
Package: tasksel
Version: 2.66
Severity: wishlist

Recently the priority of a number of development packages was lowered from 
standard which means they are no longer installed by default. This is a 
good thing, but IMO it would be nice if these packages could be installed 
in an easy way using a Development task.

The main challenge will be to get translations for the task, but possibly 
we can find existing translations somewhere.

The following list of packages is now no longer installed by default
(65MB installed; 19MB download):
bin86
binutils (dep)
bison
bzip2 (recommended by dpkg-dev; suggested by tar, apt)
cpp (dep from build-essential)
cpp-4.1 (dep)
dpkg-dev (dep from build-essential)
flex
g++ (dep from build-essential)
g++-4.1 (dep)
gcc (dep)
gcc-4.1 (dep)
gdb
libc6-dev (dep; dep from build-essential)
libssp0 (dep)
libstdc++6-4.1-dev (dep)
linux-kernel-headers (dep)
manpages-dev (dep)

In addition, I think the following packages could be part of a Development 
task (10MB installed; 3.5MB download):
build-essential
debhelper
devscripts
dput
po-debconf (dep)

If creation of a task is not an option, then please reassign to debian-cd 
as IMO we should at least make sure that some of these packages are 
available on the 1st CDs to enable people to build custom kernels or 
modules after installation.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#407689; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 407689@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 407689@bugs.debian.org
Subject: Re: Bug#407689: tasksel: Please consider adding a Development task for Etch
Date: Sat, 20 Jan 2007 17:41:56 +0100
[Message part 1 (text/plain, inline)]
> The main challenge will be to get translations for the task, but possibly 
> we can find existing translations somewhere.


Sigh.

/me prepares to a few weeks fighting to seek for the last
translations...:-|


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#407689; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 407689@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Frans Pop <elendil@planet.nl>, 407689@bugs.debian.org
Subject: Re: Bug#407689: tasksel: Please consider adding a Development task for Etch
Date: Sun, 21 Jan 2007 16:38:01 -0500
[Message part 1 (text/plain, inline)]
Frans Pop wrote:
> Recently the priority of a number of development packages was lowered from 
> standard which means they are no longer installed by default. This is a 
> good thing, but IMO it would be nice if these packages could be installed 
> in an easy way using a Development task.

The problem with adding a development task has always been, and
continues to be, that people do not use the same tools for development,
and that there are no good defaults beyond basic C-style development
tools. This is why #266702 is still open. The fact that those default
C development tools are no longer in standard still doesn't make
"development" a sensible task. It's not the same class of thing as
running a web server or using a desktop, both of which can be
accomplished well, if not perfectly for everyone, with a predetermined
list of software.

I would also like to stop making changes to the etch tasks Very soon.

> If creation of a task is not an option, then please reassign to debian-cd 
> as IMO we should at least make sure that some of these packages are 
> available on the 1st CDs to enable people to build custom kernels or 
> modules after installation.

Might be a good idea to do that.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Merged 266702 407689. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#407689; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to "peter green" <plugwash@P10Link.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 407689@bugs.debian.org (full text, mbox):

From: "peter green" <plugwash@P10Link.net>
To: "Joey Hess" <joeyh@debian.org>, <407689@bugs.debian.org>
Subject: RE: Bug#407689: tasksel: Please consider adding a Development task for Etch
Date: Mon, 22 Jan 2007 12:46:29 -0000
> The problem with adding a development task has always been, and
> continues to be, that people do not use the same tools for development,
> and that there are no good defaults beyond basic C-style development
> tools. 
mind you a similar thing applies to say the file server task, there are at least 3 different types of server that someone could want that would fit the "file server" discription and its not at all clear which ones will be installed.

I personally belive that tasksel needs a major overhaul and is practically useless in its present form, what i think is really needed is a set of categories each with a number of entries so you'd say have a desktop category (with gnome desktop, kde desktop, xfce desktop etc), a webserver category (with basic websever, lamp webserver etc), a fileserver category (with samba,nfs and ftp options), a development category (with basic development, kernel development, debian package development, java development etc) and so on.


> This is why #266702 is still open. The fact that those default
> C development tools are no longer in standard still doesn't make
> "development" a sensible task. It's not the same class of thing as
> running a web server or using a desktop, both of which can be
> accomplished well, if not perfectly for everyone, with a predetermined
> list of software.
maybe development is the wrong name but even a task that just installed build-essential and the kernel headers would imo make things a lot easier for those stuck with unusual hardware or wanting to compile software that is not packaged off the bat (its not at all obvous to newbies that the package they need to make basic compilation work in one step is called build-essential and its pretty horrible getting compilation to work one package at a time).





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#407689; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 407689@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: 407689@bugs.debian.org
Subject: Re: Bug#407689: tasksel: Please consider adding a Development task for Etch
Date: Tue, 30 Jan 2007 20:27:08 +0100
Op 22-01-2007 om 12:46 schreef peter green:
> Joey Hess 
> > This is why #266702 is still open. The fact that those default
> > C development tools are no longer in standard still doesn't make
> > "development" a sensible task. It's not the same class of thing as
> > running a web server or using a desktop, both of which can be
> > accomplished well, if not perfectly for everyone, with a predetermined
> > list of software.
> maybe development is the wrong name but even a task that just installed
> build-essential and the kernel headers would imo make things a lot
> easier for those stuck with unusual hardware or wanting to compile
> software that is not packaged off the bat (its not at all obvous to
> newbies that the package they need to make basic compilation work in
> one step is called build-essential and its pretty horrible getting
> compilation to work one package at a time).

Naming the task 'minimal C development' could make this BR succesfull.


GSt



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#407689; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 407689@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 407689@bugs.debian.org
Subject: Re: Bug#407689: tasksel: Please consider adding a Development task for Etch
Date: Sat, 10 Mar 2007 22:33:56 +0100
[Message part 1 (text/plain, inline)]
On Sunday 21 January 2007 22:38, Joey Hess wrote:
> > If creation of a task is not an option, then please reassign to
> > debian-cd as IMO we should at least make sure that some of these
> > packages are available on the 1st CDs to enable people to build
> > custom kernels or modules after installation.
>
> Might be a good idea to do that.

I've added module-assistant to "forcd1". build-essential was already 
included.

This still leaves a regression for users of netinst CDs, but I did not 
want to add stuff to that while those images are still to big.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#407689; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to "peter green" <plugwash@P10Link.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 407689@bugs.debian.org (full text, mbox):

From: "peter green" <plugwash@P10Link.net>
To: "Frans Pop" <elendil@planet.nl>, <407689@bugs.debian.org>
Subject: RE: Bug#407689: tasksel: Please consider adding a Development task for Etch
Date: Sat, 10 Mar 2007 21:41:33 -0000
> I've added module-assistant to "forcd1". build-essential was already 
> included.
are the kernel headers for the standard debian kernels on CD1 as well? module assistant isn't going to be much use without those.




Forcibly Merged 266702 407689 525418. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Mon, 06 Dec 2010 18:15:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:52:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.